Saltar al contenido principal
GET
/
api
/
v1
/
service-footprint
/
glec
/
dashboard
Retrieve the dashboard of the GLEC service footprint
curl --request GET \
  --url https://www.manglai.io/api/v1/service-footprint/glec/dashboard \
  --header 'Authorization: Bearer <token>'
{
  "monthly": {},
  "byClient": {},
  "mode": {
    "internal": {
      "totalEmissions": 123,
      "numberOfActions": 123
    },
    "external": {
      "totalEmissions": 123,
      "numberOfActions": 123
    }
  },
  "emissionByScope": {
    "scope-1": {
      "totalEmissions": 123
    },
    "scope-3": {
      "totalEmissions": 123
    }
  },
  "numberOfServices": 123,
  "distance": 123,
  "load": 123,
  "numberOfActions": 123,
  "totalEmissions": 123
}

Autorizaciones

Authorization
string
header
requerido

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Parámetros de consulta

companyId
string
requerido

The unique identifier of the company.

clientId
string
requerido

The unique identifier of the client/supplier.

vehicleId
string
requerido

The unique identifier of the vehicle.

externalId
string

The unique identifier of the external service footprint entry.

startDate
string<date>
requerido

The start date of the period.

endDate
string<date>
requerido

The end date of the period.

calculationMode
string
requerido

The calculation mode.

Respuesta

200 - application/json

Successful response with emissions data

monthly
object
byClient
object
mode
object
emissionByScope
object
numberOfServices
integer

Total number of services.

distance
number<float>

Total distance covered in kilometers.

load
integer

Total load in tonnes.

numberOfActions
integer

Total number of actions.

totalEmissions
number<float>

Total emissions in kilograms.